<?php
/*
	header('Content-type:application/xls');
  header("Content-Type: application/vnd.ms-excel; charset=utf-8");
	header('Content-Disposition: attachment; filename=postulaciones.xls');*/
  header("Content-Type:   application/vnd.ms-excel; charset=utf-8");
header("Content-Disposition: attachment; filename=postulaciones_fecha.xls");
header("Expires: 0");
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("Cache-Control: private",false);
 
	include('db___cn.php');
 $mysqli=conex_db_mysql();

      $fecha_inicial = new DateTime($_POST['fecha_inicio']);
       $fecha_final = new DateTime($_POST['fecha_final']);
       
       $listar_postulacion_fechas="SELECT tb_estudiantes.IdEstudiante,CarreraProfesional,Titulo, Apellidos,Nombres,EstadoConvocatoria 
               FROM tb_bolsa_laboral_postulaciones,tb_estudiantes,tb_bolsa_laboral,tb_carrera
               WHERE tb_bolsa_laboral_postulaciones.IdEstudiante=tb_estudiantes.IdEstudiante
               and tb_estudiantes.IdCarrera=tb_carrera.IdCarrera
                and tb_bolsa_laboral.IdCarrera=tb_carrera.IdCarrera
               and tb_bolsa_laboral_postulaciones.IdBolsaLaboral=tb_bolsa_laboral.IdBolsaLaboral
               and FechaPostulacion BETWEEN '".$fecha_inicial->format('Y-m-d')."'  and '".$fecha_final->format('Y-m-d')."'";
              
      $rs_listar_postulacion_fecha=$mysqli->query($listar_postulacion_fechas);
      echo '<table id="simpletable" class="table table-striped table-bordered">
                       <thead>
                           <tr role="row">
                             <th>N&#176;</th>
                             <th>Programa de estudios</th>
                             <th>T&#237;tulo Convocatoria</th>
                             <th>Apellidos y Nombres</th>
                             <th>Condici&#243;n Convocatoria</th>
                          </tr>
                        </thead>
                       <tbody>';
                       $contador=1;
                       while($fila_lista_postulacion=mysqli_fetch_array($rs_listar_postulacion_fecha))
                            {   echo'<tr role="row" class="odd">';
                                   echo'<td>'.$contador.'</td>';
                                   echo'<td>'.$fila_lista_postulacion['CarreraProfesional'].'</td>';
                                   echo'<td>'.$fila_lista_postulacion['Titulo'].'</td>';
                                   echo'<td>'.$fila_lista_postulacion['Apellidos'].', '.$fila_lista_postulacion['Nombres'].'</td>';
                                   echo'<td>'.$fila_lista_postulacion['EstadoConvocatoria'].'</td>';
                                  echo'</tr>'; 
                                  $contador++;   
                              }
        echo '</tbody>
              </table>';    
mysqli_close($mysqli);
?>
